asset-dir=

.PHONY: run
run:
	USE_PWD_ASSETS=1 cabal run ld46 -- +RTS -T -xn -RTS

.PHONY: debug
debug:
	DEVMODE=1 DEBUG=1 USE_PWD_ASSETS=1 cabal run ld46 -- +RTS -T -xn -RTS

.PHONY: repl
repl:
	DEVMODE=1 DEBUG=1 ASSETS_PREFIX="$$PWD" cabal repl ld46  --repl-options='+RTS' --repl-options='-xn' --repl-options='-RTS'

.PHONY: assets
assets:
	fd .png --max-depth=1 --absolute-path --search-path $(asset-dir)/images --exec cp "{}" ./assets/images/
	./auto-compile-animations.sh $(asset-dir)

.PHONY: tidy
tidy:
	fd .hs --exec $$(git rev-parse --show-toplevel)/scripts/wstrip.sh
